global:
  registry: docker.io
  repository: freeleaps
  environment: prod
  nodeSelector: {}
dashboard:
  enabled: true
  name: freeleaps-prod-backend-dashboard
  title: Backend Service Dashboard (PROD)
  metricsPrefix: freeleaps_backend
logIngest:
  enabled: true
  lokiEndpoint: http://loki-gateway.freeleaps-logging-system
  logPathPattern: /app/log/freeleaps/*.log
  logPath: /app/log/freeleaps
freeleaps:
  replicas: 1
  image:
    registry: docker.io
    repository: null
    name: backend
    tag: snapshot-e534b2b
    imagePullPolicy: Always
  ports:
  - name: http
    containerPort: 8001
    protocol: TCP
  resources:
    requests:
      cpu: 300m
      memory: 128Mi
    limits:
      cpu: 500m
      memory: 512Mi
  probes: {}
  services:
  - name: freeleaps-service
    type: ClusterIP
    port: 8001
    targetPort: 8001
    serviceMonitor:
      enabled: true
      labels:
        release: kube-prometheus-stack
      namespace: freeleaps-monitoring-system
      interval: 30s
      scrapeTimeout: ''
  ingresses: []
  configs:
    tz: UTC
    appName: freeleaps
    serviceApiAccessHost: 0.0.0.0
    serviceApiAccessPort: 8001
    mongodbName: freeleaps2
    mongodbPort: 27017
    mongodbUri: mongodb+srv://freeadmin:0eMV0bt8oyaknA0m@freeleaps2.zmsmpos.mongodb.net/?retryWrites=true&w=majority
    emailFrom: freeleaps@freeleaps.com
    siteUrlRoot: https://freeleaps.com
    jwtSecretKey: ea84edf152976b2fcec12b78aa8e45bc26a5cf0ef61bf16f5c317ae33b3fd8b0
    jwtAlgorithm: HS256
    stripeApiKey: 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
    stripeWebhookSecret: whsec_yWObkdtJTP4FOrmN2vPNEAv0EBGXbU3n
    stripeAccountWebhookSecret: whsec_cFhia4hz65OQLdhv26LZAAmjoBc6WNgg
    rabbitmqHost: freeleaps-prod-rabbitmq-headless.freeleaps-prod.svc.freeleaps.cluster
    rabbitmqPort: 5672
    rabbitmqUsername: user
    rabbitmqPassword: D3b0HKz71T0OcYF8
    freeleapsDevsvcEndpoint: http://devsvc-service.freeleaps-prod.svc.freeleaps.cluster:8007/api/devsvc/
    freeleapsContentEndpoint: http://content-service.freeleaps-prod.svc.freeleaps.cluster:8013/api/content/
    freeleapsCentralStorageEndpoint: http://central-storage-service.freeleaps-prod.svc.freeleaps.cluster:8005/api/central_storage/
    freeleapsChatEndpoint: http://chat-service.freeleaps-prod.svc.freeleaps.cluster:8012/api/chat/
    freeleapsPaymentEndpoint: http://payment-service.freeleaps-prod.svc.freeleaps.cluster:8006/api/payment/
    freeleapsAuthenticationEndpoint: http://authentication-service.freeleaps-prod.svc.freeleaps.cluster:8004/api/auth/
    freeleapsNotificationEndpoint: http://notification-service.freeleaps-prod.svc.freeleaps.cluster:8003/api/notification/
    freeleapsAilabEndpoint: ''
    freeleapsEnv: alpha
    certPath: ''
    redisUrl: redis://:izrZtCmYk8@freeleaps-prod-redis-redis-cluster-headless.freeleaps-prod.svc.freeleaps.cluster:6379/0
    redisIsCluster: 'true'
    metricsEnabled: 'true'
    probesEnabled: 'true'
    giteaApiKey: a61216761e1cda4797c1bc13c4cc26472e9e1eb3
    giteaEndpoint: https://gitea.freeleaps.mathmast.com/
  vpa:
    minAllowed:
      enabled: true
      cpu: 100m
      memory: 64Mi
    maxAllowed:
      enabled: true
      cpu: 200m
      memory: 256Mi
    controlledResources:
    - cpu
    - memory
